<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el formulario para revisar los archivos asociados
                a productos
@cu 			CU-TV-PR-003

Modificado por leidy.gonzalez Se inhabilita boton Editor GIS momentaneamente, esperando que se creen los productos
Se elimina Boton Imprimir.
 @ modified by leidy.gonzalez 24/07/2014 Se agrega campo observaciones cuando se haya generado producto
 de registro uno y dos. Se elimina del panelBotonesArchivosAsociadosP el rendered

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="archivosAsociadosAProductosForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsArchivosAsociadosAProductos" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="20" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                rendered="#{revisionProductosGenerados.aviso ne null and revisionProductosGenerados.aviso ne ''}"
                id="avisoFS">
        <legend>
            <h:outputText value="#{revisionProductosGenerados.aviso}"
                          styleClass="legendTitle" />
        </legend>

    </p:fieldset>

    <p:spacer width="0" height="20" />

    <h:panelGrid columns="2" width="100%">

        <h:outputLabel value="Descripción producto"
                       styleClass="outputLabelStyle"/>
        <h:outputText value="#{revisionProductosGenerados.productoCatastralSeleccionado.producto.nombre}"
                      styleClass="outputTextStyle" id="SolicitudTipoV"/>

    </h:panelGrid>

    <p:spacer height="10" width="0" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="archivosAsociadosAProductosFS">
        <legend>
            <h:outputText value="Lista de archivos asociados al producto"
                          styleClass="legendTitle" />
        </legend>

        <p:dataTable emptyMessage="No hay archivos asociados al producto"
                     value="#{revisionProductosGenerados.productosCatastralesDetallesAsociadasAProductos}"
                     var="archivoAsociadoAProducto"
                     widgetVar="archivosAsociadosAProductosDTWV"
                     rowKey="#{archivoAsociadoAProducto.id}"
                     rendered="#{revisionProductosGenerados.mostrarTablaProductoCatastralDetalle}"
                     selection="#{revisionProductosGenerados.productosCatastralesDetalleSeleccionados}"
                     selectionMode="multiple"
                     id="archivosAsociadosAProductosDT">

            <p:ajax event="rowSelect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                    listener="#{revisionProductosGenerados.seleccionarArchivoAsociadoAProductoCatastral}"
                    update=":#{formularioAActualizar}, :archivosAsociadosAProductosForm:panelBotonesArchivosAsociadosP"/>

            <p:ajax event="rowUnselect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                    listener="#{revisionProductosGenerados.desseleccionarArchivoAsociadoAProductoCatastral}"
                    update=":#{formularioAActualizar}, :archivosAsociadosAProductosForm:panelBotonesArchivosAsociadosP"/>

            <f:facet name="header">
                Lista de archivos asociados al producto
            </f:facet>

            <p:column headerText="Archivos">
                <h:outputText  />
                <p:commandLink action="#{revisionProductosGenerados.generarProductoAsociado}"
                               onstart="statusDialog2.show()"
                               oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, viewProductoWV, true);"
                               update=":viewProducto:vistaMemoForm,:archivosAsociadosAProductosForm" process="@this" immediate="true">
                    <h:outputText value="#{archivoAsociadoAProducto.nombreProductoDetalle}"
                                  styleClass="commandLinkStyle" />
                    <f:setPropertyActionListener 
                        target="#{revisionProductosGenerados.productoCatastralDetalleSeleccionado}" 
                        value="#{archivoAsociadoAProducto}"/>
                </p:commandLink>
            </p:column>

            <p:column headerText="Observaciones">
                <h:outputText value="#{archivoAsociadoAProducto.observaciones}" />
            </p:column>

        </p:dataTable>

        <p:dataTable emptyMessage="No hay archivos asociados al producto"
                     value="#{revisionProductosGenerados.rutasArchivosAsociadosAProductoCatastralGenerado}"
                     var="rutaArchivo"
                     rendered="#{!revisionProductosGenerados.mostrarTablaProductoCatastralDetalle}"
                     widgetVar="rutasArchivosAsociadosAProductosDTWV"
                     id="rutasArchivosAsociadosAProductosDT">

            <f:facet name="header">
                Lista de archivos asociados al producto
            </f:facet>

            <p:column headerText="Archivos">
                <h:outputText  />

                <p:commandButton value="#{ruta}" id="descargarBtn" ajax="false"
                                 icon="ui-icon-print" immediate="true">
                    <p:fileDownload value="#{rutaArchivo.streamedContentReporte}" />
                </p:commandButton>

                <p:spacer width="10" />

                <h:outputText value="#{rutaArchivo.nombreReporte}" />

            </p:column>

            <p:column headerText="Observaciones">
                <h:outputText value="#{revisionProductosGenerados.productoCatastralSeleccionado.observaciones}" />
            </p:column>

        </p:dataTable>

        <p:spacer height="20" width="0"/>

        <h:panelGrid columns="2">

            <h:outputLabel value="Total archivos"
                           styleClass="outputLabelStyle" />

            <h:outputLabel rendered="#{revisionProductosGenerados.mostrarTablaProductoCatastralDetalle}"
                           value="#{fn:length(revisionProductosGenerados.productosCatastralesDetallesAsociadasAProductos)}"/>

            <h:outputLabel rendered="#{!revisionProductosGenerados.mostrarTablaProductoCatastralDetalle}"
                           value="#{fn:length(revisionProductosGenerados.rutasArchivosAsociadosAProductoCatastralGenerado)}"/>

        </h:panelGrid>

        <h:panelGrid columns="7" id="panelBotonesArchivosAsociadosP">

            <p:commandButton value="Ingresar observaciones"
                             title="Ingresar observaciones" 
                             action="#{revisionProductosGenerados.ingresarObservaciones}"
                             update=":archivosAsociadosAProductosForm, :#{formularioAActualizar}"
                             rendered="#{revisionProductosGenerados.activarBotonIngresarObservaciones}"/>

            <p:spacer height="0" width="20"
                      rendered="#{revisionProductosGenerados.activarBotonIngresarObservaciones}"/>

            <p:commandButton value="Limpiar observaciones"
                             title="Limpiar observaciones"
                             action="#{revisionProductosGenerados.limpiarObservaciones}"
                             update=":archivosAsociadosAProductosForm, :#{formularioAActualizar}"
                             rendered="#{revisionProductosGenerados.activarBotonLimpiarObservaciones}"/>

            <p:spacer height="0" width="20"
                      rendered="#{revisionProductosGenerados.activarBotonLimpiarObservaciones}"/>

            <p:commandButton value="Descargar archivo"
                             title="Descargar archivo"	
                             rendered="#{revisionProductosGenerados.activarBotonDescargarArchivo}" />

            <p:spacer height="0" width="20"
                      rendered="#{revisionProductosGenerados.activarBotonDescargarArchivo}"/>

        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="20" width="0"/>

    <p:fieldset toggleable="true" toggleSpeed="500"
                rendered="#{revisionProductosGenerados.activarPanelIngresarObservaciones}"
                id="ingresarObservacionesFS">
        <legend>
            <h:outputText value="Ingresar observaciones"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="5">
            <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle" />

            <p:spacer height="0" width="20"/>

            <h:inputTextarea rows="5" cols="50" required="true"
                             requiredMessage="Observaciones: Requiere un valor"
                             value="#{revisionProductosGenerados.observacionesAProductoGenerado}" />

            <p:spacer height="0" width="20"/>	

            <p:commandButton value="Aceptar"
                             title="Aceptar"	
                             icon="ui-icon-disk"
                             update=":archivosAsociadosAProductosForm, msgsArchivosAsociadosAProductos,
                             :#{formularioAActualizar}"
                             action="#{revisionProductosGenerados.aceptarIngresarObservacionesProductoCatastralDetalle}"/>
        </h:panelGrid>

    </p:fieldset>

    <p:separator style="width:90%;height:3px" />
    <p:spacer height="7" width="0" />
    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton value="Cerrar" 
                         icon="ui-icon-circle-close"
                         oncomplete="archivosAsociadosAProductoWV.hide();" />
        <p:spacer height="0" width="30" />
    </p:outputPanel>

</h:form>

